## basket 2.10~beta+git20160425.b77687f

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
set(BASKET_DISABLE_GPG "0" CACHE BOOL "Disables GPG Support")

find_package(X11 REQUIRED)
find_package(KDE4 REQUIRED)
find_package(QImageBlitz REQUIRED)

IF(NOT BASKET_DISABLE_GPG)
  find_package(Gpgme REQUIRED)
  find_package(Gpgmepp REQUIRED)
ENDIF(NOT BASKET_DISABLE_GPG)

find_package(Soprano)
find_package(Nepomuk)
find_package(SharedDesktopOntologies)

# libgit2
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
find_package(Libgit2)
IF(LIBGIT2_FOUND)
  include_directories(${LIBGIT2_INCLUDE_DIR})
  add_definitions(-DWITH_LIBGIT2)
ELSE(LIBGIT2_FOUND)
  message("libgit2 not found, configuring without")
ENDIF(LIBGIT2_FOUND)



if (BUILD_KPARTS)
find_package(KdepimLibs REQUIRED)
include_directories(${KDEPIMLIBS_INCLUDE_DIRS})
endif (BUILD_KPARTS)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include(KDE4Defaults)

include(MacroLibrary)

IF(GPGME_FOUND)
  SET(HAVE_LIBGPGME 1)
  SET(LARGEFILE_SOURCE_1)
  ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64)
ELSE(GPGME_FOUND)
  IF (BASKET_DISABLE_GPG)
    MESSAGE("GPG disabled, configuring without")
  ELSE (BASKET_DISABLE_GPG)
    MESSAGE("GPG not found, configuring without")
  ENDIF (BASKET_DISABLE_GPG)
ENDIF(GPGME_FOUND)

IF(SHAREDDESKTOPONTOLOGIES_FOUND AND SOPRANO_FOUND AND NEPOMUK_FOUND)
  SET(HAVE_NEPOMUK 1)
ELSE(SHAREDDESKTOPONTOLOGIES_FOUND AND SOPRANO_FOUND AND NEPOMUK_FOUND)
  MESSAGE("Soprano and/or Nepomuk not found, configuring without")
ENDIF(SHAREDDESKTOPONTOLOGIES_FOUND AND SOPRANO_FOUND AND NEPOMUK_FOUND)

#TODO: find meinproc

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})


include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${X11_INCLUDES} )

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(tags)
add_subdirectory(welcome)
add_subdirectory(backgrounds)
add_subdirectory(images)
add_subdirectory(file-integration)

=== doc/en/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############


kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR basket)



#original Makefile.am contents follow:

#KDE_DOCS = basket
#KDE_LANG = en

=== debian/changelog ===
basket (2.10~beta+git20160425.b77687f-1) unstable; urgency=medium

  * New git snapshot:
    - Fix reproducibility by removing a timestamp; thanks to
      Alexis Bienvenüe for the patch (Closes: #819921)
  * Drop patch 14_update_es_po.diff, included upstream.
  * The new snapshot code includes fix for spelling errors spotted by
    lintian and further GCC 6 fixes.
  * Bump standards version to 3.9.8. No changes required.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Tue, 26 Apr 2016 00:56:04 +0200

basket (2.10~beta+git20160305.487a115-1) unstable; urgency=medium

  * New git snapshot:
    - Fix build with GCC 6 (Closes: #811623).
  * Update standards version to 3.9.7. No changes required.
  * Remove menu file, no more needed as the .desktop file is provided.
  * control file: switch Vcs-{Browser,Git} to their secure counterpart
    (https).

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 06 Mar 2016 20:37:21 +0100

=== debian/control ===
Source: basket
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Sune Vuorela <debian@pusling.com>, Luigi Toscano <luigi.toscano@tiscali.it>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libx11-dev, pkg-config, libqimageblitz-dev,
 shared-mime-info, libsoprano-dev, kdelibs5-dev, kdepimlibs5-dev (>=4:4.4.3), libgpgme11-dev
Homepage: http://basket.kde.org/
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/basket.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/basket.git

Package: basket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 basket-data (>=${source:Version})
Description: multi-purpose note-taking application for KDE
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...

Package: basket-data
Architecture: all
Depends: ${misc:Depends}
Replaces: basket (<< 1.81-3~)
Breaks: basket (<< 1.81-3~)
Description: data files for BasKet Notepads
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...
 .
 This package contains arch independent data for Basket.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

opts="uversionmangle=s/-([^0-9])/~\\1/" \
  https://launchpad.net/basket/kde4/ https://launchpad.net/basket/kde4/.+/\+download/basket-(.+).tar.bz2

## basket 2.11~beta+git20180715.058ce7a

=== backgrounds-previews/CMakeLists.txt ===

install(FILES  abstract.png  	alien-artifact.png  	basket-title.png  	green-curves.png  	light.png  	painting.png  	pens.png  	pins.png  	rainbow-balls.png  	rounds-line.png  	strings.png  	todo.png  	working.png DESTINATION ${DATA_INSTALL_DIR}/basket/backgrounds/previews)

=== src/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${QIMAGEBLITZ_INCLUDES} ${GPGME_INCLUDES})

########### next target ###############

set(basketcommon_LIB_SRCS
    aboutdata.cpp
    archive.cpp
    backgroundmanager.cpp
    backup.cpp
    basketfactory.cpp
    basketlistview.cpp
    basketproperties.cpp
    basketscene.cpp
    basketstatusbar.cpp
    basketview.cpp
    bnpview.cpp
    colorpicker.cpp
    crashhandler.cpp
    debugwindow.cpp
    decoratedbasket.cpp
    diskerrordialog.cpp
    exporterdialog.cpp
    filter.cpp
    focusedwidgets.cpp
    formatimporter.cpp
    global.cpp
    gitwrapper.cpp
    htmlexporter.cpp
    history.cpp
    kcolorcombo2.cpp
    kgpgme.cpp
    likeback.cpp
    linklabel.cpp
    newbasketdialog.cpp
    note.cpp
    notecontent.cpp
    notedrag.cpp
    noteedit.cpp
    notefactory.cpp
    noteselection.cpp
    password.cpp
    regiongrabber.cpp
    settings.cpp
    settings_versionsync.cpp
    softwareimporters.cpp
    systemtray.cpp
    tag.cpp
    tagsedit.cpp
    transparentwidget.cpp
    tools.cpp
    variouswidgets.cpp
    xmlwork.cpp
)

set(PIMO_CPP "") # One of the generated files

IF(HAVE_NEPOMUK)
  include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src" ${NEPOMUK_INCLUDES} ${SOPRANO_INCLUDE_DIR})
  include(SopranoAddOntology)
  soprano_add_ontology(basketcommon_LIB_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig "NIE" "Soprano::Vocabulary" "trig")
  soprano_add_ontology(basketcommon_LIB_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nfo.trig "NFO" "Soprano::Vocabulary" "trig")
  soprano_add_ontology(basketcommon_LIB_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/pimo/pimo.trig "PIMO" "Soprano::Vocabulary" "trig")
  
  list(LENGTH basketcommon_LIB_SRCS SRCS_LENGTH)
  math(EXPR SRCS_LENGTH "${SRCS_LENGTH} - 1")
  list(GET basketcommon_LIB_SRCS ${SRCS_LENGTH} PIMO_CPP) # PIMO_CPP = last element
  
  list(INSERT basketcommon_LIB_SRCS 10 nepomukintegration.cpp)
ENDIF(HAVE_NEPOMUK)

kde4_add_ui_files(basketcommon_LIB_SRCS passwordlayout.ui basketproperties.ui settings_versionsync.ui)

QT4_ADD_DBUS_ADAPTOR(basketcommon_LIB_SRCS org.basket.BNPView.xml bnpview.h BNPView)

QT4_ADD_RESOURCES(basketcommon_LIB_SRCS ../basket.qrc)

kde4_add_library(basketcommon SHARED ${basketcommon_LIB_SRCS})

target_link_libraries(basketcommon
  ${KDE4_KIO_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KFILE_LIBS}
  ${KDE4_PHONON_LIBRARY}
  ${QIMAGEBLITZ_LIBRARIES}
  ${X11_LIBRARIES}
  ${GPGME_VANILLA_LIBRARIES})

if(Q_WS_X11)
    target_link_libraries(basketcommon ${X11_X11_LIB})
endif(Q_WS_X11)

IF(HAVE_NEPOMUK)
  target_link_libraries(basketcommon ${NEPOMUK_LIBRARIES} ${SOPRANO_LIBRARIES})
ENDIF(HAVE_NEPOMUK)

set_target_properties(basketcommon PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS basketcommon DESTINATION ${LIB_INSTALL_DIR})

# Add unit tests after all variables have been set.
# If we save target_link_libraries to a variable, we can reuse it too

# Soprano files must exist, otherwise tests won't build
set(FILES_GENERATED (EXISTS ${PIMO_CPP}))
if(${FILES_GENERATED})
  add_subdirectory(tests)
endif(${FILES_GENERATED})

########### next target ###############

set(basket_SRCS main.cpp mainwindow.cpp application.cpp)

kde4_add_executable(basket ${basket_SRCS})
target_link_libraries(basket
  ${KDE4_KUTILS_LIBS}
  ${KDE4_KFILE_LIBS}
  ${KDE4_PHONON_LIBRARY}
  basketcommon)

IF(LIBGIT2_FOUND)
  target_link_libraries(basketcommon ${LIBGIT2_LIBRARIES})
  target_link_libraries(basket ${LIBGIT2_LIBRARIES})
ENDIF(LIBGIT2_FOUND)

install(TARGETS basket DESTINATION ${BIN_INSTALL_DIR})

########### next target ###############

set(kcm_basket_PART_SRCS kcm_basket.cpp)

kde4_add_plugin(kcm_basket ${kcm_basket_PART_SRCS})

target_link_libraries(kcm_basket ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} basketcommon)

install(TARGETS kcm_basket DESTINATION ${PLUGIN_INSTALL_DIR})

if(BUILD_KPARTS)

########### next target ###############

set(basketpart_PART_SRCS basket_part.cpp)

kde4_add_plugin(basketpart WITH_PREFIX ${basketpart_PART_SRCS})

target_link_libraries(basketpart ${KDE4_KPARTS_LIBS} basketcommon kparts kdeui)

install(TARGETS basketpart DESTINATION ${PLUGIN_INSTALL_DIR})

set(kontact_basket_PLUGIN_SRCS basket_plugin.cpp)

kde4_add_plugin(kontact_basketplugin ${kontact_basket_PLUGIN_SRCS})

qt4_add_dbus_interfaces(kontact_basket_PLUGIN_SRCS org.kde.basket.basket.xml)

add_dependencies(kontact_basketplugin basket)

target_link_libraries(kontact_basketplugin ${KDE4_CORE_LIBS} ${KDEPIMLIBS_KONTACTINTERFACE_LIBS} basketcommon kparts kdeui ${KDE4_KPARTS_LIBS})

install(TARGETS kontact_basketplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES basket_plugin.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kontact)

########### install files ###############

install(FILES  basket_part.rc DESTINATION ${DATA_INSTALL_DIR}/basket)
install(FILES  basket_part.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif(BUILD_KPARTS)

install(FILES  basket.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  basket_config_general.desktop  	basket_config_baskets.desktop  	basket_config_new_notes.desktop  	basket_config_notes_appearance.desktop  	basket_config_apps.desktop	basket_config_version_sync.desktop  	DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  basketui.rc DESTINATION ${DATA_INSTALL_DIR}/basket)

kde4_install_icons(${ICON_INSTALL_DIR})

=== src/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/src 
                    ${CMAKE_BINARY_DIR}/src)

link_directories(${CMAKE_BINARY_DIR}/lib)


macro(basket_standalone_unit_test _testname)
    kde4_add_unit_test(${_testname} ${_testname}.cpp ${_extra_sources} ${ARGN})
    target_link_libraries(${_testname} basketcommon ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY})
endmacro(basket_standalone_unit_test)


macro(basket_full_unit_test _testname)
    include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${SOPRANO_INCLUDE_DIR})
      
    #set(baskettest_SRCS " ")
    foreach (cpp ${basketcommon_LIB_SRCS}) 
      set(IS_GENERATED (${cpp} MATCHES "(^/)")) # Generated files contain full path (start with '/')
      if(${IS_GENERATED})
        list(APPEND baskettest_SRCS ${cpp})
      else(${VGENERATED})
        list(APPEND baskettest_SRCS "${CMAKE_SOURCE_DIR}/src/${cpp}")
      endif(${IS_GENERATED})
    endforeach ()

    kde4_add_unit_test(${_testname} ${_testname}.cpp ${baskettest_SRCS})
    
    target_link_libraries(${_testname} basketcommon ${GPGME_VANILLA_LIBRARIES}
      ${NEPOMUK_LIBRARIES} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_PHONON_LIBS}
      ${QIMAGEBLITZ_LIBRARIES} ${QT_QTTEST_LIBRARY})
endmacro(basket_full_unit_test)


basket_standalone_unit_test(notetest)
basket_standalone_unit_test(basketviewtest)
basket_full_unit_test(toolstest)

=== debian/changelog ===
basket (2.11~beta+git20180715.058ce7a-1) unstable; urgency=medium

  [ Luigi Toscano ]
  * New git snapshot:
    - Bump version number, still use a git snapshot with additional fixes.
  * Update few metadata (URLs, emails):
    - maintainer list address (list.alioth->alioth-lists);
    - Vcs-Git/Vcs-Url (from alioth to salsa);
    - homepage (not a KDE project for a while).
  * Remove the dependency on libsoprano-dev (Closes: #903751).
    - not used anymore (no Nepomuk integration).
      Thanks Pino Toscano for the patch.
  * Various clean ups:
    - remove the trailing spaces from few packaging files
      (changelog, control, copyright, watch);
    - replace tabs with spaces in the copyright file;
    - run wrap-and-sort;
    - fix a typo in the copyright file.
  * Bump Standards-Version to 4.3.0, no changes required.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove last empty line in changelog as lintian detects it as a trailing
    space.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Mon, 28 Jan 2019 22:46:57 -0300

=== debian/control ===
Source: basket
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Mark Purcell <msp@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Luigi Toscano <luigi.toscano@tiscali.it>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev,
               kdepimlibs5-dev (>=4:4.4.3),
               libgpgme11-dev,
               libqimageblitz-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.5),
               shared-mime-info
Homepage: https://launchpad.net/basket/
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/basket.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/basket

Package: basket
Architecture: any
Depends: basket-data (>=${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: multi-purpose note-taking application for KDE
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it.
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects
 you want in one place, keep data on hand, take notes...

Package: basket-data
Architecture: all
Depends: ${misc:Depends}
Replaces: basket (<< 1.81-3~)
Breaks: basket (<< 1.81-3~)
Description: data files for BasKet Notepads
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it.
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects
 you want in one place, keep data on hand, take notes...
 .
 This package contains arch independent data for Basket.

=== debian/watch ===
version=3

opts="uversionmangle=s/-([^0-9])/~\\1/" \
  https://launchpad.net/basket/kde4/ https://launchpad.net/basket/kde4/.+/\+download/basket-(.+).tar.bz2

## basket 2.49

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
cmake_policy(SET CMP0063 NEW)
set(BASKET_DISABLE_GPG "0" CACHE BOOL "Disables GPG Support")

include(FeatureSummary)

find_package(X11 REQUIRED)

# KDE
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
IF(NOT BASKET_DISABLE_GPG)
  find_package(Gpgme)
ENDIF(NOT BASKET_DISABLE_GPG)

# libgit2
find_package(Libgit2)
IF(LIBGIT2_FOUND)
  include_directories(${LIBGIT2_INCLUDE_DIR})
  add_definitions(-DWITH_LIBGIT2)
ELSE(LIBGIT2_FOUND)
  message("libgit2 not found, configuring without")
ENDIF(LIBGIT2_FOUND)



if (BUILD_KPARTS)
find_package(KdepimLibs REQUIRED)
include_directories(${KDEPIMLIBS_INCLUDE_DIRS})
endif (BUILD_KPARTS)

find_package(Qt5 REQUIRED COMPONENTS
  Concurrent
  Core
  DBus
  Gui
  Widgets
  Xml
)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(ECMInstallIcons)
include(KDECMakeSettings)

find_package(KF5 REQUIRED COMPONENTS
  Archive
  Completion
  Config
  ConfigWidgets #KCM
  CoreAddons
  Crash
  DBusAddons
  DocTools
  FileMetaData
  GlobalAccel
  GuiAddons
  I18n
  IconThemes
  KCMUtils
  KIO
  Notifications
  Parts
  Service
  TextWidgets
  WidgetsAddons
  WindowSystem
  XmlGui
)

find_package(Phonon4Qt5 REQUIRED)

#find_package(KF5 COMPONENTS Baloo)


IF(GPGME_FOUND)
  SET(HAVE_LIBGPGME 1)
  SET(LARGEFILE_SOURCE_1)
  ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64)
ELSE(GPGME_FOUND)
  IF (BASKET_DISABLE_GPG)
    MESSAGE("GPG disabled, configuring without")
  ELSE (BASKET_DISABLE_GPG)
    MESSAGE("GPG not found, configuring without")
  ENDIF (BASKET_DISABLE_GPG)
ENDIF(GPGME_FOUND)

#IF(KF5BALOO_FOUND)
#  SET(HAVE_BALOO 1)
#ENDIF(KF5BALOO_FOUND)

#TODO: find meinproc

#Make libbasketcommon search for translations in basket.mo
ADD_DEFINITIONS(-DTRANSLATION_DOMAIN=\"basket\")

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(tags)
add_subdirectory(welcome)
add_subdirectory(backgrounds)
add_subdirectory(images)
add_subdirectory(file-integration)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== file-integration/CMakeLists.txt ===
set(basketthumbcreator_PART_SRCS basketthumbcreator.cpp)

add_library(basketthumbcreator MODULE ${basketthumbcreator_PART_SRCS})

target_link_libraries(basketthumbcreator
  Qt5::Core Qt5::Gui
  KF5::I18n KF5::XmlGui KF5::KIOWidgets)

install(TARGETS basketthumbcreator DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

find_program(XDG-MIME_EXECUTABLE xdg-mime)
find_program(XDG-DESKTOP-MENU_EXECUTABLE xdg-desktop-menu)

install(FILES  basketthumbcreator.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(CODE "
execute_process(COMMAND ${XDG-MIME_EXECUTABLE} install --novendor
  ${CMAKE_CURRENT_SOURCE_DIR}/basket.xml)
execute_process(COMMAND ${XDG-DESKTOP-MENU_EXECUTABLE} install
  --novendor ${CMAKE_SOURCE_DIR}/src/basket.desktop)
execute_process(COMMAND ${XDG-MIME_EXECUTABLE} default
  ${CMAKE_SOURCE_DIR}/src/basket.desktop application/x-basket-item)
")

=== images/CMakeLists.txt ===
ecm_install_icons(ICONS
    128-apps-basket.png
    16-actions-likeback_bug.png
    16-actions-likeback_dislike.png
    16-actions-likeback_feature.png
    16-actions-likeback_like.png
    16-apps-basket.png
    22-apps-basket.png
    32-apps-basket.png
    48-apps-basket.png
    64-apps-basket.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== po/CMakeLists.txt ===
# Copied from http://techbase.kde.org/Development/Tutorials/Localization/i18n_Build_Systems#Compiling_and_installing_message_catalogs

FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname basket)

        FILE(GLOB PO_FILES *.po)
        SET(GMO_FILES)

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(OUTPUT ${_gmoFile}
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                        LIST(APPEND GMO_FILES ${_gmoFile})
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

        ADD_CUSTOM_TARGET(translations ALL DEPENDS ${GMO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
include_directories(${GPGME_INCLUDES})

########### next target ###############

set(basketcommon_LIB_SRCS
    aboutdata.cpp
    archive.cpp
    backgroundmanager.cpp
    backup.cpp
    basketfactory.cpp
    basketlistview.cpp
    basketproperties.cpp
    basketscene.cpp
    basketstatusbar.cpp
    basketview.cpp
    bnpview.cpp
    colorpicker.cpp
    crashhandler.cpp
    debugwindow.cpp
    decoratedbasket.cpp
    diskerrordialog.cpp
    file_metadata.cpp
    filter.cpp
    focusedwidgets.cpp
    formatimporter.cpp
    global.cpp
    gitwrapper.cpp
    htmlexporter.cpp
    history.cpp
    kcolorcombo2.cpp
    kgpgme.cpp
    likeback.cpp
    linklabel.cpp
    newbasketdialog.cpp
    note.cpp
    notecontent.cpp
    notedrag.cpp
    noteedit.cpp
    notefactory.cpp
    noteselection.cpp
    password.cpp
    regiongrabber.cpp
    settings.cpp
    settings_versionsync.cpp
    softwareimporters.cpp
    systemtray.cpp
    tag.cpp
    tagsedit.cpp
    transparentwidget.cpp
    tools.cpp
    variouswidgets.cpp
    xmlwork.cpp
)

set(PIMO_CPP "") # One of the generated files

IF(HAVE_BALOO)
  include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src" ${BALOO_INCLUDES})
  list(INSERT basketcommon_LIB_SRCS 10 nepomukintegration.cpp)
ENDIF(HAVE_BALOO)

ki18n_wrap_ui(basket_FORM_HDRS passwordlayout.ui basketproperties.ui settings_versionsync.ui)

QT5_ADD_DBUS_ADAPTOR(basketcommon_LIB_SRCS org.basket.BNPView.xml bnpview.h BNPView)

QT5_ADD_RESOURCES(basket_RESOURCES ../basket.qrc)

add_library(basketcommon SHARED ${basketcommon_LIB_SRCS} ${basket_FORM_HDRS} ${basket_RESOURCES})

target_link_libraries(basketcommon
  ${PHONON_LIBRARY}
  ${GPGME_VANILLA_LIBRARIES}
  KF5::Archive
  KF5::ConfigWidgets
  KF5::CoreAddons
  KF5::Crash
  KF5::DBusAddons
  KF5::FileMetaData
  KF5::GlobalAccel
  KF5::GuiAddons
  KF5::I18n
  KF5::IconThemes
  KF5::KCMUtils
  KF5::KIOWidgets
  KF5::Notifications
  KF5::Parts
  KF5::TextWidgets
  KF5::WindowSystem
  KF5::XmlGui
)

IF(HAVE_BALOO)
  target_link_libraries(basketcommon KF5::BalooFiles)
ENDIF(HAVE_BALOO)

set_target_properties(basketcommon PROPERTIES VERSION ${Qt5Core_VERSION} SOVERSION ${Qt5Core_VERSION_MAJOR})

install(TARGETS basketcommon DESTINATION ${LIB_INSTALL_DIR})

# Add unit tests after all variables have been set.
# If we save target_link_libraries to a variable, we can reuse it too

# Soprano files must exist, otherwise tests won't build
#set(FILES_GENERATED (EXISTS ${PIMO_CPP}))
#if(${FILES_GENERATED})
  add_subdirectory(tests EXCLUDE_FROM_ALL)
#endif(${FILES_GENERATED})

########### next target ###############

set(basket_SRCS main.cpp mainwindow.cpp application.cpp)

add_executable(basket ${basket_SRCS})
target_link_libraries(basket
  basketcommon)

IF(LIBGIT2_FOUND)
  target_link_libraries(basketcommon ${LIBGIT2_LIBRARIES})
  target_link_libraries(basket ${LIBGIT2_LIBRARIES})
ENDIF(LIBGIT2_FOUND)

install(TARGETS basket DESTINATION ${BIN_INSTALL_DIR})

########### next target ###############

set(kcm_basket_PART_SRCS kcm_basket.cpp)

add_library(kcm_basket MODULE ${kcm_basket_PART_SRCS})

target_link_libraries(kcm_basket basketcommon)

install(TARGETS kcm_basket DESTINATION ${PLUGIN_INSTALL_DIR})

if(BUILD_KPARTS)

########### next target ###############

set(basketpart_PART_SRCS basket_part.cpp)

set_target_properties(basketpart PROPERTIES PREFIX "${CMAKE_SHARED_LIBRARY_PREFIX}")
add_library(basketpart MODULE ${basketpart_PART_SRCS})

target_link_libraries(basketpart basketcommon kparts kdeui)

install(TARGETS basketpart DESTINATION ${PLUGIN_INSTALL_DIR})

set(kontact_basket_PLUGIN_SRCS basket_plugin.cpp)

add_library(kontact_basketplugin MODULE ${kontact_basket_PLUGIN_SRCS})

qt5_add_dbus_interfaces(kontact_basket_PLUGIN_SRCS org.kde.basket.basket.xml)

add_dependencies(kontact_basketplugin basket)

target_link_libraries(kontact_basketplugin basketcommon)

install(TARGETS kontact_basketplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES basket_plugin.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kontact)

########### install files ###############

install(FILES  basket_part.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/basket)
install(FILES  basket_part.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif(BUILD_KPARTS)

install(FILES  basket.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  basket_config_general.desktop  	basket_config_baskets.desktop  	basket_config_new_notes.desktop  	basket_config_notes_appearance.desktop  	basket_config_apps.desktop	basket_config_version_sync.desktop  	DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  basketui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/basket)

=== tags/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-actions-tag_checkbox.png
    16-actions-tag_checkbox_checked.png
    16-actions-tag_for_later.png
    16-actions-tag_fun.png
    16-actions-tag_important.png
    16-actions-tag_preference_bad.png
    16-actions-tag_preference_excellent.png
    16-actions-tag_preference_good.png
    16-actions-tag_priority_high.png
    16-actions-tag_priority_low.png
    16-actions-tag_priority_medium.png
    16-actions-tag_progress_000.png
    16-actions-tag_progress_025.png
    16-actions-tag_progress_050.png
    16-actions-tag_progress_075.png
    16-actions-tag_progress_100.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== welcome/CMakeLists.txt ===
FILE (GLOB BASKETS_FILES *.baskets)

install(FILES  ${BASKETS_FILES} DESTINATION ${DATA_INSTALL_DIR}/basket/welcome)

=== doc/en/CMakeLists.txt ===

include_directories(${QT_INCLUDES} )


########### install files ###############


kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR basket)



#original Makefile.am contents follow:

#KDE_DOCS = basket
#KDE_LANG = en

=== src/tests/CMakeLists.txt ===
include(ECMMarkAsTest)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

find_package(Qt5Test REQUIRED)

add_custom_target(tests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/src 
                    ${CMAKE_BINARY_DIR}/src)

link_directories(${CMAKE_BINARY_DIR}/lib)


macro(basket_standalone_unit_test _testname)
    add_executable(${_testname} ${_testname}.cpp ${_extra_sources} ${ARGN})
    ecm_mark_as_test(${_testname})
    add_dependencies(tests ${_testname}) #include into "tests" build target
    target_link_libraries(${_testname} basketcommon Qt5::Test)
endmacro(basket_standalone_unit_test)


macro(basket_full_unit_test _testname)
    include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${SOPRANO_INCLUDE_DIR})
      
    #set(baskettest_SRCS " ")
    foreach (cpp ${basketcommon_LIB_SRCS}) 
      set(IS_GENERATED (${cpp} MATCHES "(^/)")) # Generated files contain full path (start with '/')
      if(${IS_GENERATED})
        # Not used now (included via basketcommon target)
        #list(APPEND baskettest_SRCS ${cpp})
      else(${IS_GENERATED})
        list(APPEND baskettest_SRCS "${CMAKE_SOURCE_DIR}/src/${cpp}")
      endif(${IS_GENERATED})
    endforeach ()

    add_executable(${_testname} ${_testname}.cpp ${baskettest_SRCS})
    ecm_mark_as_test(${_testname})
    add_dependencies(tests ${_testname})
    
    target_link_libraries(${_testname} basketcommon ${GPGME_VANILLA_LIBRARIES} Qt5::Test)
endmacro(basket_full_unit_test)


basket_standalone_unit_test(notetest)
basket_standalone_unit_test(basketviewtest)
basket_full_unit_test(toolstest)

=== debian/changelog ===
basket (2.49-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112720)
  * Add patch from Andreas Metzler to restore gpgme integration.
    (Closes: #1024475)

 -- Adrian Bunk <bunk@debian.org>  Fri, 17 Oct 2025 19:14:48 +0300

basket (2.49-1) unstable; urgency=medium

  * New release (2.49):
    - Port to Frameworks 5/Qt 5 (Closes: #874829).
  * Remove the reference to a specific environment from the description
  * Add patch from FreeBSD to correctly install the MIME type integration
    (apparently a regression from the kdelibs 4.x):
    - 01-fix-mimetype-installation.patch
  * Update the watch file.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Tue, 20 Aug 2019 21:55:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,35 @@
            Luigi Toscano <luigi.toscano@tiscali.it>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kdelibs5-dev,
-               kdepimlibs5-dev (>=4:4.4.3),
+               extra-cmake-modules,
                libgpgme11-dev,
-               libqimageblitz-dev,
+               libkf5archive-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5doctools-dev,
+               libkf5filemetadata-dev,
+               libkf5globalaccel-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5kcmutils-dev,
+               libkf5kio-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev,
+               libkf5service-dev,
+               libkf5textwidgets-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+               libphonon4qt5-dev,
                libx11-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.5),
+               pkg-kde-tools,
+               qtbase5-dev,
                shared-mime-info
 Homepage: https://launchpad.net/basket/
 Standards-Version: 4.3.0
@@ -23,7 +45,7 @@
 Package: basket
 Architecture: any
 Depends: basket-data (>=${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: multi-purpose note-taking application for KDE
+Description: multi-purpose note-taking application
  This application provides as many baskets (drawers) as you wish; Several
  kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

opts="uversionmangle=s/-([^0-9])/~\\1/" \
  https://launchpad.net/basket/kde5/ https://launchpad.net/basket/kde5/.+/\+download/basket-([^-]+)-[^-]+.tar.bz2
